Bug 8560 - SMB2 doesn't handle compound request headers in the same way as Windows
SMB2 doesn't handle compound request headers in the same way as Windows
Status: RESOLVED FIXED
Product: Samba 3.6
Classification: Unclassified
Component: SMB2
3.6.1
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-01 18:13 UTC by Jeremy Allison
Modified: 2011-11-09 18:49 UTC (History)
1 user (show)

See Also:


Attachments
Back-ported git-am patchset for 3.6.x (9.73 KB, patch)
2011-11-01 18:15 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jeremy Allison 2011-11-01 18:13:41 UTC
Metze just fixed this in master.

I have a patchset that implements the same fixes for 3.6.x.

Jeremy.
Comment 1 Jeremy Allison 2011-11-01 18:15:12 UTC
Created attachment 7047 [details]
Back-ported git-am patchset for 3.6.x

Metze please review. This is a back-ported patch set from your master fixes.

Jeremy.
Comment 2 Stefan Metzmacher 2011-11-05 16:38:46 UTC
Comment on attachment 7047 [details]
Back-ported git-am patchset for 3.6.x

Looks good
Comment 3 Stefan Metzmacher 2011-11-05 16:39:13 UTC
Karolin, please pick for the next release
Comment 4 Karolin Seeger 2011-11-09 18:49:03 UTC
Pushed to v3-6-test.
Closing out bug report.

Thanks!